[Pkg-puppet-devel] [SCM] Puppet packaging for Debian branch, master, updated. debian/2.6.0-2-125-g2aad8d2

Mathias Gug mathias.gug at canonical.com
Tue Aug 24 22:09:03 UTC 2010

The following commit has been merged in the master branch:
commit c2dafe3e7cecbf1fa419941502caa5d937a1aa17
Author: Mathias Gug <mathias.gug at canonical.com>
Date:   Tue Aug 24 13:36:38 2010 -0400

    Set correct permissions and ownership of log directory
    When the puppet master is run under passenger it cannot hange the
    permission of the puppet log directory since it's started as the puppet
    user. This patch sets the correct permissions and ownership in the
    postinst script.

diff --git a/debian/puppet-common.postinst b/debian/puppet-common.postinst
index fe6bb7d..7275f82 100644
--- a/debian/puppet-common.postinst
+++ b/debian/puppet-common.postinst
@@ -11,6 +11,13 @@ if [ "$1" = "configure" ]; then
+	# Set correct permissions and ownership for puppet log directory
+	if ! dpkg-statoverride --list /var/log/puppet >/dev/null 2>&1; then
+		dpkg-statoverride --update --add puppet puppet 0750 /var/log/puppet
+	fi
+	chown puppet:puppet /var/log/puppet
 	# Change the ownership of /var/lib/puppet so that puppet daemons 
 	# can create ~/.puppet when run under the puppet user 
 	# (ex: under passenger).

Puppet packaging for Debian

More information about the Pkg-puppet-devel mailing list